#ANOVA example with linear model 
water.res<-c(10.1,	11.4,	9.9,	12.1, 
             12.2,	12.9,	12.3,	13.4,
             11.9, 12.7,	11.4,	12.9);
f <- c("A", "B", "C", "D"); # treatment levels
k <- 4;    # number of treatment levels 
n <- 3;    # number of control blocks 
#
tm <- gl(k, 1, n*k, factor(f))   # matching treatment
blk = gl(n, k, k*n)              # blocking factor
tm
blk
av <- aov(water.res ~ tm + blk)
summary(av)
coef(av)
X<-model.matrix(av); Y<-water.res;
bhat<-solve(t(X)%*%X,t(X)%*%Y); bhat
SSE.c<-t(Y)%*%Y-t(bhat)%*%t(X)%*%Y; SSE.c
Xr<-X[,c(1,5,6)]
betar<-solve(t(Xr)%*%Xr,t(Xr)%*%Y); betar
SSE.r<-t(Y)%*%Y-t(betar)%*%t(Xr)%*%Y; SSE.r
nn<-k*n; kk<-5; g<-2
F<-((SSE.r-SSE.c)/(kk-g))/(SSE.c/(nn-(kk+1))); F
pf(F,3,6,lower.tail=FALSE)