helium<-read.table("helium.txt",header=T); helium
attach(helium)
mh<-lm(Impurity~Temp)
summary(mh)
plot(Temp,Impurity)
abline(mh)
confint(mh)
qt(0.01,length(Temp-1))
vp<-predict.lm(mh,newdata=data.frame(Temp=-273),int="p"); vp
lines(c(vp[1],vp[1]),c(vp[2],vp[3]),col="red")
detach()