#Problem 3 lab
mrex1<-read.table("multregrdat.txt",header=T); mrex1
attach(mrex1)
#plot data
par(mex=0.5)
pairs(mrex1, gap=0, cex.labels=0.9)
# (a) fit the model
mlm<-lm(y~x1+x2+x3)
summary(mlm)
#confidence intervals for coeffs
confint(mlm)
plot(mlm)
#(b) predict for x1=1, x2=-3, x3=-1 
predict.lm(mlm,newdata=data.frame(x1=1, x2=-3, x3=-1))
#(c)
xsum<-summary(mlm)
coefficients(xsum)["x3",c("t value","Pr(>|t|)")]
#(d)
predict.lm(mlm,newdata=data.frame(x1=1, x2=-3, x3=-1),interval="c")
#(e)
predict.lm(mlm,newdata=data.frame(x1=1, x2=-3, x3=-1),interval="p")
detach()